 
//*******************watchdog interrupt******************
ISR(WDT_vect) {
  sleep_disable ();         // first thing after waking from sleep:
  wdt_reset(); //immediate reset for time counting
  wdt_flag=1;
}  // end of WDT_vect

//*******************CurrSense interrupt**********************

ISR(INT0_vect) { // shuts down switching if high current detected
  sleep_disable ();         // first thing after waking from sleep:
  stop_switching();
  pinMode(CurrAttenuation, INPUT); // transition from LOW to Tristate does'nt need intermediate state  
  WDTCR |= 0b00011000;               // see docs, set WDCE, WDE
  WDTCR =  _4secs ;    //  WDIE enabled, delay set
  wdt_reset();
  state=0 ;
}

//*******************switching_interrupt********************
  ISR(TIM0_COMPA_vect) {
  PINB = 0b00101000; //toggles (PB5): IN1 and (PB3):IN2

// DONE HERE as to not perturb frecuency generation WHEN low current + dir detection
  if(bitRead(GIFR,6)) { // CurrSense flag: rising edge of INT0
    if(!bitRead(DDRB,2)) { // Min mode: CurrAttenuation as input , Min detected, change to high_current without stopping
detect_high_current:
      pinMode(CurrAttenuation, OUTPUT); // now, detect strong current (transition from Tristate to LOW does'nt need intermediate state)
      bitSet(GIFR,6); // reset INT0 interrupt flag
      GIMSK= bit(INT0) ; // Bit 6 – INT0: External Interrupt Request 0 Enable
      Min_detected_flag=1;
    }
  }
}
